> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User Assignments

> Get the current user's assignments with pagination.

Returns paginated assignments with ship data.



## OpenAPI

````yaml /openapi.json get /api/v1/shared/users/me/assignments
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/shared/users/me/assignments:
    get:
      tags:
        - shared-users
      summary: Get Current User Assignments
      description: |-
        Get the current user's assignments with pagination.

        Returns paginated assignments with ship data.
      operationId: get_current_user_assignments_api_v1_shared_users_me_assignments_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Items per page
            default: 10
            title: Limit
          description: Items per page
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Pagination cursor
            title: Cursor
          description: Pagination cursor
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
              - type: 'null'
            description: Search term
            title: Search
          description: Search term
        - name: include_count
          in: query
          required: false
          schema:
            type: boolean
            description: Include total count
            default: false
            title: Include Count
          description: Include total count
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_AssignmentWithShipDTO_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_AssignmentWithShipDTO_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AssignmentWithShipDTO'
          type: array
          title: Items
        nextCursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Nextcursor
        hasMore:
          type: boolean
          title: Hasmore
          default: false
        totalCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Totalcount
      type: object
      required:
        - items
      title: PaginatedResponse[AssignmentWithShipDTO]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssignmentWithShipDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        shipName:
          type: string
          title: Shipname
        shipImoNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipimonumber
        role:
          type: string
          title: Role
        startDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Startdate
        endDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Enddate
        isActive:
          type: boolean
          title: Isactive
      type: object
      required:
        - id
        - shipName
        - role
        - startDate
        - endDate
        - isActive
      title: AssignmentWithShipDTO
      description: Assignment with ship details.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````